<?php

require_once('conf/dbc.php');
require_once('conf/session_start.php');
require_once('conf/ban.php');
if ((!isset($_SESSION['id'])) or (!isset($_SESSION['nick'])))  {
  ?>
  <script type="text/javascript">
    document.location.href = "login.php";
  </script>
  <?php
  exit();
}

$log_id = abs(intval($_SESSION['id']));
$query_ch = "Select * from users where id = '$log_id'";
$result_ch = mysqli_query($dbc, $query_ch) or die ('Ошибка передачи запроса к БД'); 
$row_ch = mysqli_fetch_array($result_ch);
$clan = $row_ch['clan'];
$money = $row_ch['money'];
if($row_ch['smena']>0){
  ////////////////////////////////////////////////////////////
  if (!empty($_POST['change'])) {
$group=filter($_POST['group']);
   if ((isset($group)) and (!empty($group))) {
	  if (($group != 'dolg') and ($group != 'svoboda') and ($group != 'naemniki')  and ($group != 'renegat')  and ($group != 'chistoenebo')) {
	    $err=1;
	  }
    }
	else {
	  $err=2;
	}
	if ($err==0) {
	  if ($group == 'naemniki') {
	    $group = 'naemniki';
	  }

	  $query = "update users set gruppa = '$group' ,  smena = smena -1 where id = '$log_id' limit 1";
      $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  header ('Location: settings.php?error=3');
      exit();
	}
  }
  ////////////////////////////////////////////////////////////
  $page_title = 'Сменить рассу';
  require_once('conf/head.php');
  require_once('conf/top.php');
  ?>
  <?php if(!empty($err)) {?><div id="error">
   <?php if ($err==1) {echo 'Подмена данных';}?>
   <?php if ($err==2) {echo 'Вы не выбрали группировку';}?>
   </div><?php } ?>
<br/><center><p class="name">Смена рассы</p></center>
   <form enctype="multipart/form-data" method="post" action="<? $_SERVER['PHP_SELF']; ?>">
	 <label for="group">рассы:</label><br />
    <select name="group" class="input" size="1">
    <option value="naemniki" <? if ($_POST['group'] == naemniki) {?>selected="selected"<?php }?>>Воины Ада</option>
    <option value="dolg" <? if ($_POST['group'] == dolg) {?>selected="selected"<?php }?> >Армия Тьмы</option>
    <option value="svoboda" <? if ($_POST['group'] == svoboda) {?>selected="selected"<?php }?> >Империя Людей</option>
    </select><?php
if ($clan<>0) {echo'</p><span class="red">Сначала выйдите с отряда!</span>';}else{
?><div class="knopka"><input type="submit" class="input" value="Сменить" name="change"/></div></form>
  <p><span class="net">Бесплатных смен: <?php echo $row_ch[smena];?></span></p>
  <?php  }
}
else{
  ////////////////////////////////////////////////////////////
  if (!empty($_POST['change'])) {
$group=filter($_POST['group']);
   if ((isset($group)) and (!empty($group))) {
	  if (($group != 'dolg') and ($group != 'svoboda') and ($group != 'naemniki')  and ($group != 'renegat')  and ($group != 'chistoenebo')) {
	    $err=1;
	  }
    }
	else {
	  $err=2;
	}
	if ($err==0) {
	  if ($group == 'naemniki') {
	    $group = 'naemniki';
	  }

	  $query = "update users set gruppa = '$group', money=money-1000 where id = '$log_id' limit 1";
      $result = mysqli_query($dbc, $query) or die ('Ошибка передачи запроса к БД');
	  header ('Location: settings.php?error=3');
      exit();
	}
  }
  ////////////////////////////////////////////////////////////
  $page_title = 'Сменить рассу';
  require_once('conf/head.php');
  require_once('conf/top.php');
  ?>
  <?php if(!empty($err)) {?><div id="error">
   <?php if ($err==1) {echo 'Подмена данных';}?>
   <?php if ($err==2) {echo 'Вы не выбрали рассу';}?>
   </div><?php } ?>
<center><p class="name">Смена рассы</p></center>
   <form enctype="multipart/form-data" method="post" action="<? $_SERVER['PHP_SELF']; ?>">
	 <label for="group">расса:</label><br />
    <select name="group" class="input" size="1">
    <option value="naemniki" <? if ($_POST['group'] == naemniki) {?>selected="selected"<?php }?>>Воины ада</option>
    <option value="dolg" <? if ($_POST['group'] == dolg) {?>selected="selected"<?php }?> >Армия Тьмы</option>
    <option value="svoboda" <? if ($_POST['group'] == svoboda) {?>selected="selected"<?php }?> >Империя Людей</option>
    </select><?php
if ($money<1000) {echo'<p><span class="red">У вас недостаточно денег!</span><font color="green">(Нужно 1000 Rub)</font>';}
else
if ($clan<>0) {echo'</p><span class="red">Сначала выйдите с отряда!</span>';}
else{
?><div class="knopka"><input type="submit" class="input" value="Сменить" name="change"/></div></form>
  <p><span class="bonus">Стоимость:<img src="img/ico/money.png" width="12" height="12"/> 1000 Золота</span></p>
  <?php  }
}
   require_once('conf/navig.php');
   require_once('conf/foot.php'); 
//////////////////////////////////////////////  
mysqli_close($dbc);
?>